<div class="container-fluid">
   
    <div class="shadow p-3 mb-5 bg-body rounded">
            <form #formRegister="ngForm" class="form-horizontal ">
                <div id="login">
                    <h3 class="text-center text-white pt-5">Login Yakoiou</h3>
                   
                        <div id="login-row" class="row justify-content-center align-items-center">
                            <div id="login-column" class="col-md-6">
                                <div id="login-box" class="col-md-12">
                                    <form id="login-form" class="form" action="" method="post">
                                        <h3 class="text-center text-info">Register</h3>
                                        <div class="form-group">
                                            <label for="firstname" class="text-info">Firstname:</label><br>
                                            <input [(ngModel)]="register.firstname" name="Firstname" type="text"
                                                class="form-control" required pattern="[a-zA-Z].+" value="firstname"
                                                [ngModelOptions]="{standalone: true}" />
                                        </div>
                                        <div class="form-group">
                                            <label for="lastname" class="text-info">Lastname:</label><br>
                                            <input [(ngModel)]="register.lastname" name="Lastname" type="text"
                                                class="form-control" required pattern="[a-zA-Z].+" value="lastname"
                                                [ngModelOptions]="{standalone: true}" />
                                        </div>
                                        <div class="form-group">
                                            <label for="username" class="text-info">Username:</label><br>
                                            <input [(ngModel)]="register.username" name="username" type="text"
                                                class="form-control" required pattern="[a-zA-Z].+" value="username"
                                                [ngModelOptions]="{standalone: true}" />
                                        </div>
                                        <div class="form-group">
                                            <label for="email" class="text-info">Email:</label><br>
                                            <input [(ngModel)]="register.email" name="email" type="text"
                                                class="form-control" required pattern="[a-zA-Z].+" value="email"
                                                [ngModelOptions]="{standalone: true}" />
                                        </div>
                                        <div class="form-group">
                                            <label for="password" class="text-info">Password:</label><br>
                                            <input [(ngModel)]="register.password" name="password" type="password"
                                                class="form-control" required minlength="3"
                                                [ngModelOptions]="{standalone: true}" />
                                        </div>
                                        <div class="form-group">
                                            <input type="submit" name="register" class="btn btn-lg btn-success"
                                                (click)="onRegister()" value="Signin">
                                                <input type="submit" name="cancel" class="btn btn-lg btn-danger"
                                                (click)="goBack()" value="Cancel ">
                                               
                                        </div>
                                        <div id="register-link" class="text-right">
                                            <a routerLink="/ngr-login" class="text-info">Login</a>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                 
                </div>
            </form>
        </div>
    </div>
    